Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 17 Oct 2017, 18:55
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine - run Windows programs in Linux
Post new topic   Reply to topic View previous topic :: View next topic
Page 16 of 17 [241 Posts]   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17 Next
Author Message
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Thu 11 May 2017, 00:40    Post subject:  

I wonder which puppy 64bit would be a good one to compile in.

I was thinking possibly tahr64-6.0.5 to compile in.
A few thoughts in this thread:
http://murga-linux.com/puppy/viewtopic.php?p=954199#954199

I plan on continuing to compile 32bit wine.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Sun 21 May 2017, 21:43    Post subject: Wine-2.8  

My attempt at compiling wine-2.8

[wine-2.8 mirrors]

wine-2.8_v1.1.pet ________ puppy 431 | stripped=true
wine-2.8_v1.2.pet ________ puppy 431 | stripped=false
wine_DEV-2.8_v1.1.pet ____ puppy 431 |
wine_DEV-2.8_v1.2.pet ____ puppy 431 |

wine-2.8_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.8_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.8_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.8_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.8.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------


----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

--------

I applied the following commits/patches to puppy431 wine build:

bug 43019 | patch

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.8_source/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.8_source/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

I applied the following commits/patches to racy5.5 wine build:

bug 43019 | patch

----------------------------------------

When compiling in racy puppy 5.5, I used
v2.1
Code:
../wine-2.8_source/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.8_source/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Mon 05 Jun 2017, 20:56    Post subject: Wine-2.9  

My attempt at compiling wine-2.9

[wine-2.9 mirrors]

* v1.x not compiled because of compilation error. [bug report]

wine-2.9_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.9_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.9_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.9_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.9.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]


----------------------------------------

When compiling in racy puppy 5.5, I used
v2.1
Code:
../wine-2.9/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.9/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Thu 22 Jun 2017, 21:34    Post subject: Wine-2.10  

My attempt at compiling wine-2.10

[wine-2.10 mirrors]

* v1.x not compiled because of compilation error. [bug report]

wine-2.10_v2.1.pet ________ racy puppy 5.5 | stripped=true
wine-2.10_v2.2.pet ________ racy puppy 5.5 | stripped=false
wine_DEV-2.10_v2.1.pet ____ racy puppy 5.5 |
wine_DEV-2.10_v2.2.pet ____ racy puppy 5.5 |

wine_DOC-2.10.pet

wine_extras-v2.1.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt ________ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

-----------------------
racy puppy 5.5
-----------------------

I compiled using Racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]


----------------------------------------

When compiling in racy puppy 5.5, I used
v2.1
Code:
../wine-2.10/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.10/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Thu 29 Jun 2017, 21:16    Post subject: Wine-2.11  

My attempt at compiling wine-2.11

[wine-2.11 mirrors]

wine-2.11_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.11_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.11_v1.1.pet ____ puppy 431
wine_DEV-2.11_v1.2.pet ____ puppy 431

wine-2.11_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.11_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.11_v2.1.pet ____ racy 5.5
wine_DEV-2.11_v2.2.pet ____ racy 5.5

wine-2.11_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.11_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.11_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.11_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.11.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.11/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.11/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.11/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.11/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Sat 22 Jul 2017, 00:35; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Fri 21 Jul 2017, 23:21    Post subject: Wine-2.12  

My attempt at compiling wine-2.12

[wine-2.12 mirrors]

wine-2.12_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.12_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.12_v1.1.pet ____ puppy 431
wine_DEV-2.12_v1.2.pet ____ puppy 431

wine-2.12_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.12_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.12_v2.1.pet ____ racy 5.5
wine_DEV-2.12_v2.2.pet ____ racy 5.5

wine-2.12_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.12_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.12_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.12_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.12.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.12/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Sat 29 Jul 2017, 23:17    Post subject: Wine-2.0.2  

My attempt at compiling wine-2.0.2

[wine-2.0.2 mirrors]

wine-2.0.2_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.0.2_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.0.2_v1.1.pet ____ puppy 431
wine_DEV-2.0.2_v1.2.pet ____ puppy 431

wine-2.0.2_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.0.2_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.0.2_v2.1.pet ____ racy 5.5
wine_DEV-2.0.2_v2.2.pet ____ racy 5.5

wine-2.0.2_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.0.2_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.0.2_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.0.2_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.0.2.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.0.2/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.0.2/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.0.2/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.0.2/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.0.2/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.0.2/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Fri 04 Aug 2017, 23:25    Post subject: Wine-2.13  

My attempt at compiling wine-2.13

[wine-2.13 mirrors]

wine-2.13_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.13_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.13_v1.1.pet ____ puppy 431
wine_DEV-2.13_v1.2.pet ____ puppy 431

wine-2.13_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.13_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.13_v2.1.pet ____ racy 5.5
wine_DEV-2.13_v2.2.pet ____ racy 5.5

wine-2.13_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.13_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.13_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.13_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.13.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.13/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.13/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.13/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.13/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.13/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.13/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Sat 12 Aug 2017, 20:36    Post subject: Wine-2.14  

My attempt at compiling wine-2.14

[wine-2.14 mirrors]

wine-2.14_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.14_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.14_v1.1.pet ____ puppy 431
wine_DEV-2.14_v1.2.pet ____ puppy 431

wine-2.14_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.14_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.14_v2.1.pet ____ racy 5.5
wine_DEV-2.14_v2.2.pet ____ racy 5.5

wine-2.14_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.14_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.14_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.14_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.14.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Tue 15 Aug 2017, 23:40    Post subject: Wine64-2.14  

My first attempt at compiling wine64
This is 64-bit only, not WOW64.
https://wiki.winehq.org/Building_Wine#Shared_WoW64

[wine-2.14 mirrors]

wine64-2.14.pet _________ tahrpup64 6.0.5 [stripped=true]
wine64_DEV-2.14.pet ____ tahrpup64 6.0.5
wine64_DOC-2.14.pet ____ tahrpup64 6.0.5

----------------------------
tahrpup64 6.0.5
----------------------------

I compiled using tahrpup64 6.0.5

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup64 6.0.5' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION


----------------------------------------

When compiling in tahrpup64 6.0.5, I used:
Code:
../wine-2.14/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-x --enable-win64 CFLAGS="-O2"


----------------------------------------------------------------------------------------------------------

I do not have any 64-bit applications to test.
I am relying on others to test this wine version.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Wed 23 Aug 2017, 21:05    Post subject: Wine-2.15  

My attempt at compiling wine-2.15

[wine-2.15 mirrors]

wine-2.15_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.15_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.15_v1.1.pet ____ puppy 431
wine_DEV-2.15_v1.2.pet ____ puppy 431

wine-2.15_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.15_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.15_v2.1.pet ____ racy 5.5
wine_DEV-2.15_v2.2.pet ____ racy 5.5

wine-2.15_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.15_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.15_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.15_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.15.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.15/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.15/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.15/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.15/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.15/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.15/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Tue 19 Sep 2017, 11:50    Post subject: Wine -2.16  

My attempt at compiling wine-2.16

[wine-2.16 mirrors]

wine-2.16_v1.1.pet _________ puppy 431 [stripped=true]
wine-2.16_v1.2.pet _________ puppy 431 [stripped=false]
wine_DEV-2.16_v1.1.pet ____ puppy 431
wine_DEV-2.16_v1.2.pet ____ puppy 431

wine-2.16_v2.1.pet _________ racy 5.5 [stripped=true]
wine-2.16_v2.2.pet _________ racy 5.5 [stripped=false]
wine_DEV-2.16_v2.1.pet ____ racy 5.5
wine_DEV-2.16_v2.2.pet ____ racy 5.5

wine_DOC-2.16.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------
puppy 431
----------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'

mirrors | /distro/4.3__1/puppies-431.1-main-Xserver.iso
mirrors | /distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly:
- fail with a glibc before 2.6.1
- succeed with a glibc of 2.6.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet [mirrors]
fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet [mirrors]
libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

libusb/1.0.9/libusb-1.0.9-i486_v2.pet [mirrors]
libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

xorg/7.3/xorg_xorg_full_dri-7.3.pet [mirrors]
xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet

------------------------------------

When compiling in puppy 431, I used:
v1.1
Code:
../wine-2.16/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v1.2
Code:
../wine-2.16/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

------------
racy 5.5
------------

I compiled using racy 5.5

mirrors | /distro/racy5.5/racy-5.5.iso
mirrors | /distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy 5.5' will possibly:
- fail with a glibc before 2.10.1
- succeed with a glibc of 2.10.1 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages, as one sfs file, before compiling;
also known as dependencies:

fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet [mirrors]
fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet

gmp/6.1.1/gmp-6.1.1-i486_v1.2.pet [mirrors]
gmp/6.1.1/gmp_DEV-6.1.1-i486_v1.2.pet

gnutls/3.5.2/gnutls-3.5.2_v1.2.pet [mirrors]
gnutls/3.5.2/gnutls_DEV-3.5.2.pet

lcms2/2.8/lcms2-2.8_v2.pet [mirrors]
lcms2/2.8/lcms2_DEV-2.8_v2.pet

libelf/0.8.13/libelf-0.8.13-i486_v2.pet [mirrors]
libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet

libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet [mirrors]
libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet

libgpg-error/1.10/libgpg-error-1.10-i486-431.pet [mirrors]
libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet

libtasn1/4.8/libtasn1-4.8-i486_v1.2.pet [mirrors]
libtasn1/4.8/libtasn1_DEV-4.8-i486_v1.2.pet

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

nettle/3.2/nettle-3.2_v1.2.pet [mirrors]
nettle/3.2/nettle_DEV-3.2_v1.2.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

openldap/2.4.13/openldap-2.4.13-i486.pet [mirrors]
openldap/2.4.13/openldap_DEV-2.4.13-i486.pet

prelink/20130503/prelink-20130503-i486_v2.pet [mirrors]

----------------------------------------

When compiling in racy 5.5, I used:
v2.1
Code:
../wine-2.16/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-O2"

v2.2
Code:
../wine-2.16/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Wed 27 Sep 2017, 15:25    Post subject: Wine-2.17  

My attempt at compiling wine-2.17

[wine-2.17 mirrors]

v1.x and v2.x are not working correctly.
They compiled and installed fine, but keep seg faulting.
https://bugs.winehq.org/show_bug.cgi?id=43789

wine-2.17_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.17_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.17_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.17_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.17.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.17/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-O2"

v3.2
Code:
../wine-2.17/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"


----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.

Last edited by version2013 on Sun 01 Oct 2017, 23:28; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Thu 28 Sep 2017, 23:33    Post subject: 64 bit  

When compiling wine64(WOW64), I have tried compiling 32-bit and 64-bit separately.
Separately, meaning compiling 32-bit in Tahr-6.0.5 and 64-bit in Tahr64-6.0.5
I then copy some files from 32-bit wine into wine64 directory that will be the wine64*.pet

Wine, when compiled, has a directory /usr/lib
Wine64, when compiled, has a directory /usr/lib64

Two separate directories, with 32-bit and 64-bit files having the same names.

tahr64-6.0.5
/lib64 is a symlink to /lib
/usr/lib64 is a symlink to /usr/lib

When installing the wine64*.pet, the /lib and /lib64 files apparently clobber each other.

https://wiki.winehq.org/Building_Wine#Shared_WoW64
https://wiki.winehq.org/Packaging#WoW64_Workarounds

So much still to learn.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 295
Location: Florida, USA

PostPosted: Sun 08 Oct 2017, 23:34    Post subject: Wine-2.18  

My attempt at compiling wine-2.18

[wine-2.18 mirrors]

v1.x and v2.x are not working correctly.
They needed a patch to compile.
https://bugs.winehq.org/show_bug.cgi?id=43777#c4
After compiling, they installed fine, but keep seg faulting.
https://bugs.winehq.org/show_bug.cgi?id=43789

wine-2.18_v3.1.pet _________ tahrpup 6.0.5 PAE [stripped=true]
wine-2.18_v3.2.pet _________ tahrpup 6.0.5 PAE [stripped=false]
wine_DEV-2.18_v3.1.pet ____ tahrpup 6.0.5 PAE
wine_DEV-2.18_v3.2.pet ____ tahrpup 6.0.5 PAE

wine_DOC-2.18.pet

wine_extras-v2.1.pet __________ menu entries | mirrors
md5.txt and hashdeep.txt ____ checksums/hashes | mirrors

----------------------------------------------------------------
Notes for my webpage
http://version2013.yolasite.com/page1.php

The ">" character denotes a link to a mirror for either a directory or file.
ie. Look for the ">" adjacent to a
> directory/
> file

----------------------------------------------------------------

For general use, I recommend packages that are 'stripped=true'.
For submitting bug reports to WineHQ, I recommend packages that are 'stripped=false'.
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------

----------------------------
tahrpup 6.0.5 PAE
----------------------------

I compiled using tahrpup 6.0.5 PAE

mirrors | /distro/tahrpup-6.0.5_PAE/tahr-6.0.5_PAE.iso
mirrors | /distro/tahrpup-6.0.5_PAE/devx_tahr_6.0.5.sfs

This puppy distro uses glibc 2.19
The Wine files listing 'tahrpup 6.0.5 PAE' will possibly:
- fail with a glibc before 2.19
- succeed with a glibc of 2.19 and above

To see what glibc your puppy has.
Code:
ldd --version
Code:
/lib/libc.so.6
Code:
getconf GNU_LIBC_VERSION

I installed the following packages before compiling;
also known as dependencies:

mpg123/1.12.4/mpg123-1.12.4.pet [mirrors]
mpg123/1.12.4/mpg123_DEV-1.12.4.pet

openal-soft/1.13/openal-soft-1.13-i486_v1.1.pet [mirrors]
openal-soft/1.13/openal-soft_DEV-1.13-i486_v1.pet

----------------------------------------

When compiling in tahrpup 6.0.5 PAE, I used:
v3.1
Code:
../wine-2.18/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-O2"

v3.2
Code:
../wine-2.18/configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --with-x --libdir=/usr/lib32 CFLAGS="-g -O0 -fno-optimize-sibling-calls -fno-omit-frame-pointer -fno-inline"

----------------------------------------------------------------------------------------------------------

Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 16 of 17 [241 Posts]   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.3042s ][ Queries: 15 (0.0973s) ][ GZIP on ]